import java.time.LocalDate;
import java.time.temporal.ChronoUnit;

//https://www.javabrahman.com/java-8/java-8-how-to-calculate-difference-between-two-java-time-localdate-instances/
public class Karte {
    private double grundPreis;
    private LocalDate spielTag;
    private LocalDate gekauftAm;

    public Karte(double grundPreis, LocalDate kaufTag, LocalDate spielTag){
        this.grundPreis=grundPreis;
        this.spielTag=spielTag;
        this.gekauftAm=kaufTag;
    }
    public double berechneKartenPreis(){
        long diff = ChronoUnit.DAYS.between(gekauftAm, spielTag);
        if (diff>30){
            return grundPreis*0.9;
        }
        return grundPreis;
    }
}
