import java.time.LocalDate;
import java.util.ArrayList;

public abstract class Kunde {
    private String name;
    private ArrayList<Karte> dieKarten = new ArrayList<Karte>();

    public Kunde(String name){
       this.name=name;
    }
    public double berechneKartenPreis(){
        double preis =0;
        int i;
        for (i=0;i<dieKarten.size();i++){
            preis+=dieKarten.get(i).berechneKartenPreis();
        }
        return preis;
    }
    public void kaufeKarte(double grundPreis, LocalDate kaufTag, LocalDate spielTag){
        Karte k = new Karte(grundPreis,kaufTag,spielTag);
        dieKarten.add(k);
    }
}
